Subject: bug#52912: 29.0.50; Left over files from native compilation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jan 2022 13:51:54 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 22 Jan 2022 12:46:53 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Yes, all of them.  Two lines should say "(source)", all the rest
> > should say "(native compiled elisp)".
> 
> Let's see...  I have
> 
> Loading menu-bar (native compiled elisp)...
> Loading tab-bar...
> 
> [larsi@stories ~/src/emacs/trunk]$ ls --full-time lisp/tab-bar.elc lisp/menu-bar.elc
> -rw-r--r-- 1 larsi larsi 95029 2022-01-22 12:36:15.268200853 +0100 lisp/menu-bar.elc
> -rw-r--r-- 1 larsi larsi 86740 2022-01-22 12:36:26.980314528 +0100 lisp/tab-bar.elc
> 
> [larsi@stories ~/src/emacs/trunk]$ ls --full-time native-lisp/29.0.50-81cb7c6e/preloaded/tab-bar-* native-lisp/29.0.50-81cb7c6e/preloaded/menu-bar-*
> -rwxr-xr-x 1 larsi larsi 189216 2022-01-22 12:36:15.264200815 +0100 native-lisp/29.0.50-81cb7c6e/preloaded/menu-bar-4f46ea94-d507f077.eln
> -rwxr-xr-x 1 larsi larsi 199984 2022-01-22 12:36:26.976314490 +0100 native-lisp/29.0.50-81cb7c6e/preloaded/tab-bar-f81d329c-ac833bd0.eln
> 
> Hm...  but both the .eln files are older than the respective .elc files?
> Or am I misreading the timestamps?

No, you are not misreading.  I guess my hypothesis was incorrect, and
something else is at work here.  But the problem is real nonetheless.

Perhaps this is something caused by Alan's speedup of the bootstrap?